extends AnimatedSprite


var bullet = preload("res://objects/objects/gun/Bullet.tscn")


# Called when the node enters the scene tree for the first time.
func _ready():
	pass # Replace with function body.


# Called every frame. 'delta' is the elapsed time since the previous frame.
#func _process(delta):
#	pass


func _on_FireTimer_timeout():
	var new_bullet = bullet.instance()
	new_bullet.position.x = $FireLeft.position.x
	new_bullet.position.y = $FireLeft.position.y
	add_child(new_bullet)
